Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.ConditionalAppearance

<DefaultClassOptions()> _
<NonPersistent()> _
<NavigationItem(False), CreatableItem(False)> _
<Appearance("Hide OfferLOSTReason if OfferOutState<>2", AppearanceItemType.ViewItem, "OfferOutState<>2", TargetItems:="OfferLOSTReason", visibility:=Editors.ViewItemVisibility.Hide)> _
<Appearance("Hide OfferLOSTReasonDescription if OfferLOSTReason<>7 OfferOut", AppearanceItemType.ViewItem, "OfferLOSTReason<>7", TargetItems:="OfferLOSTReasonDescription", visibility:=Editors.ViewItemVisibility.Hide)> _
Public Class OfferOut_ChangeState_PopUp
    Inherits BaseObject
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Private _OfferOutState As eOfferOutState
    Private _OfferLOSTReason As eOfferOutLOSTReason
    Private _OfferLOSTReasonDescription As String

    <ImmediatePostData()> _
    Property OfferOutState As eOfferOutState
        Get
            Return _OfferOutState
        End Get
        Set(value As eOfferOutState)
            SetPropertyValue("OfferOutState", _OfferOutState, value)
        End Set
    End Property
    <ImmediatePostData()> _
    Property OfferLOSTReason As eOfferOutLOSTReason
        Get
            Return _OfferLOSTReason
        End Get
        Set(value As eOfferOutLOSTReason)
            SetPropertyValue("OfferLOSTReason", _OfferLOSTReason, value)
        End Set
    End Property
    Property OfferLOSTReasonDescription As String
        Get
            Return _OfferLOSTReasonDescription
        End Get
        Set(value As String)
            SetPropertyValue("OfferLOSTReasonDescription", _OfferLOSTReasonDescription, value)
        End Set
    End Property
End Class
